LinuxQuestions.org
Share your knowledge at the LQ Wiki.
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Distributions > Debian
User Name
Password
Debian This forum is for the discussion of Debian Linux.

Notices


Reply
  Search this Thread
Old 07-11-2021, 04:30 PM   #1
creepybits
LQ Newbie
 
Registered: Jul 2021
Posts: 1

Rep: Reputation: Disabled
Installing buster through putty?


First off, I'm really a novice at everything that has anything to do with linux so my questions will probably look a bit stupid.

A while ago I bought a WD Mycloud home, but I didn't like the system so I looked for other options. I found open media vault but had issues installing. Eventually I found an automated installation that worked, but it's debian 9 and OMV4 (which isn't supported anymore).

In order to install OMV5 I need to first install Buster, and I have been trying to find ways to do that but failed so far.

Now I wonder if I can use putty to install buster on my network harddrive. I have been playing around with it, but I don't really know what could possibly work. From what I've read it seems like you can use debootstrap for an installation like this?

I haven't been able to try, because I get a message that debootstrap isn't installed and when I try to install it I get the following error:

Code:
root@Claudia:~# apt-get update && apt-get upgrade -y && apt-get dist-upgrade -y && apt-get install debootstrap
Hit:1 http://security.debian.org stretch/updates InRelease
Ign:2 http://httpredir.debian.org/debian stretch InRelease
Hit:3 http://httpredir.debian.org/debian stretch-updates InRelease
Hit:4 http://httpredir.debian.org/debian stretch Release
Hit:5 http://packages.openmediavault.org/public arrakis InRelease
Hit:6 https://apt.mopidy.com buster InRelease
Ign:7 https://imola.armbian.com/apt stretch InRelease
Err:8 https://armbian.systemonachip.net/apt stretch Release
  404  Not Found
Traceback (most recent call last):
  File "/usr/sbin/omv-mkaptidx", line 91, in <module>
    cache = apt.cache.Cache()
  File "/usr/lib/python3/dist-packages/apt/cache.py", line 113, in __init__
    self.open(progress)
  File "/usr/lib/python3/dist-packages/apt/cache.py", line 164, in open
    self._cache = apt_pkg.Cache(progress)
apt_pkg.Error: E:Write error - write (28: No space left on device), E:IO Error saving source cache, E:The package lists or status file could not be parsed or opened.
Reading package lists... Error!
E: The repository 'http://apt.armbian.com stretch Release' does no longer have a Release file.
N: Updating from such a repository can't be done securely, and is therefore disabled by default.
N: See apt-secure(8) manpage for repository creation and user configuration details.
E: Write error - write (28: No space left on device)
E: IO Error saving source cache
E: The package lists or status file could not be parsed or opened.
I have no idea what this error means, or how to fix it.
 
Old 07-12-2021, 08:39 PM   #2
jamison20000e
Senior Member
 
Registered: Nov 2005
Location: ...uncanny valley... infinity\1975; (randomly born:) Milwaukee, WI, US( + travel,) Earth( I wish,) END BORDER$!◣◢┌∩┐ Fe26-E,e...
Distribution: any GPL that works well on my cheapest; has been KDE or CLI but open... http://goo.gl/NqgqJx &c ;-)
Posts: 4,434
Blog Entries: 3

Rep: Reputation: 1449Reputation: 1449Reputation: 1449Reputation: 1449Reputation: 1449Reputation: 1449Reputation: 1449Reputation: 1449Reputation: 1449Reputation: 1449
https://www.debian.org/releases/stable/installmanual
e.g: https://www.debian.org/releases/stab...apds03.en.html
Could help, if you have space on the target?

Last edited by jamison20000e; 07-12-2021 at 08:40 PM. Reason: Type0
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off



Similar Threads
Thread Thread Starter Forum Replies Last Post
Stumbled installing libc6 ver 2.29 /newer on debian buster BudiKusasi Linux - Software 4 02-27-2021 08:49 PM
Cannot set up a "bootable flag" for a new fourth disk when installing Debian Buster 10.3 Shreda Debian 14 03-21-2020 06:55 PM
[SOLVED] After having a successful installation of Debian Buster, Lenovo computer refuses to boot into Debian Buster 10.2 PicardDefendingData Debian 4 12-21-2019 07:51 PM
[SOLVED] troubles installing buster from scratch Beerforfree Debian 10 10-10-2019 08:45 PM
Putty logs me out / Putty throws me out after I log in ytd Linux - General 15 08-09-2009 03:03 AM

LinuxQuestions.org > Forums > Linux Forums > Linux - Distributions > Debian

All times are GMT -5. The time now is 12:13 AM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Open Source Consulting | Domain Registration